import java.lang.*;
import java.security.*;
import javax.swing.JOptionPane;
import java.net.*;

class ozellikler {
    public static void main(String[] args) {
        String s,s1;
        try {
            s = System.getProperty("os.name", "not specified");
            s1="işletim sistemi : " + s+"\n";
            s = System.getProperty("java.version", "not specified");
            s1+=" şu anda çalışan java programı versiyonu : " + s+"\n";
            s = System.getProperty("user.home", "not specified");
            s1+=" (user.home) directory'si : " + s+"\n";
            s=System.getProperty("java.home", "not specified");
            s1+="(java.home) directory'si: " + s+"\n";
        } catch (Exception e) { s1="Hata yakalandı  " + e.toString();}
            JOptionPane.showMessageDialog(null,s1);
            System.exit(0);
    }
}


